
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《专业级Oracle Database 12c安装、配置与维护》之在SQL*Plus中编写PL/SQL / 憋错料</title>

    <meta name="description" content="《专业级Oracle Database 12c安装、配置与维护》之在SQL*Plus中编写PL/SQL 当编写PL/SQL程序时,可以用多种方式来运行.可以直接在SQL*Plus(或某些其他SQL环境,如SQL Developer)中运行,也可以将之存储在数据库中,然后从SQL环境或程序运行.当在数据库中存储程序时,该程序被称为存储程序(stored program)或存储对象(stored object).这在本章稍后讲解.现在,让我们来讨论如何使用SQL*Plus编写程序.虽然是从SQL*Plus的环境内部说明这个例子,但这些程序也可以使用其他的SQL接口,如SQLDeveloper.TOAD">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">《专业级Oracle Database 12c安装、配置与维护》之在SQL*Plus中编写PL/SQL</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h4>当编写PL/SQL程序时，可以用多种方式来运行。可以直接在SQL*Plus(或某些其他SQL环境，如SQL Developer)中运行，也可以将之存储在数据库中，然后从SQL环境或程序运行。当在数据库中存储程序时，该程序被称为存储程序(<em>stored program</em>)或存储对象(<em>stored object</em>)。这在本章稍后讲解。现在，让我们来讨论如何使用SQL*Plus编写程序。虽然是从SQL*Plus的环境内部说明这个例子，但这些程序也可以使用其他的SQL接口，如SQLDeveloper、TOAD或任何其他你喜欢的产品来运行。<img src="http://img.blog.csdn.net/20141124102439602?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvcWluZ2h1YXdlbmthbmc=/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/Center"></p>
<p>首次编写一个程序时，可以在SQL*Plus中使用命令行创建并修改。操作步骤如下：</p>
<p>(1) 登录到SQL*Plus。根据环境，可能需要在命令行上发出<em>sqlplus</em>命令。注意，在Oracle Database 11<em>c</em>中，Windows图形版本的SQL*Plus已被弃用。因此，如果愿意，也可以使用SQL Developer执行这项工作。</p>
<p>(2) 通过命令行输入程序。</p>
<p>(3) 编写完每一行之后，按下Enter键进入到下一行。</p>
<table>
<tbody>
<tr>
<td>
<br />进度检查答案</p>
<p>1. 以下条目中的任何4项都是可以接受的答案：Oracle表单、报表、数据仓库构建器、Oracle应用软件、Oracle门户、SQL*Plus、Oracle网&#26684;控制器、Oracle预编译器和Oracle应用服务器。</p>
<p>2. 在PL/SQL块中，可包含的三个部分是声明部分、执行部分和异常部分。</p>
<p>3. 在PL/SQL块中，唯一必需的部分是执行部分。</p>
<p>4. 用于存储每个变量的数据类型将是：</p>
<p>A. number或number(8,2)。应该始终在数&#20540;数据类型中存储数&#20540;。可以指定精度，或者当不知道数据的确切性质时，干脆定义为number，但不指定精度。</p>
<p>B. boolean。boolean(布尔)数据类型用于存储true(真)和false(假)信息。</p>
<p>C. date。date数据类型存储日期和时间信息。</p>
<p>D. varchar2(10)。字符&#20540;应该存储在varchar2数据类型中。对于存储该数据来说，这种方式更有效，但有32767个字节的限制。如果需要存储的数据超过32KB字节，那么应该使用long数据类型，该类型允许存储多达2GB的数据。</p>
<p>E. number或number(2)。当不需要小数位时(整数)，这些都是数&#20540;的首选数据类型(number不指定精度，见选项A的解释，number(*,0)指定不包含小数部分)。</p>
</td>
</tr>
</tbody>
</table>
<p>(4) 输入完程序后，记得要以“/”字符终止它。这告诉Oracle运行刚刚输入完的程序。</p>
<p>(5) 监控Oracle，查看程序是否运行成功。如果程序没有错误(语法错误)地运行，将显示消息“PL/SQL过程已成功完成”。如果显示任何其他东西，就表明发生了错误。</p>
<p>(6) 要查看程序产生的错误(假定已经创建一个存储对象，如我们将在本章后面讨论的)，输入show errors。SQL*Plus将显示在程序当前运行过程中遇到的错误。</p>
<p>(7) 如果收到错误，就需要编辑程序。如果SQL*Plus和Oracle环境设置正确，可以简单地在命令行上输入edit，将程序加载到编辑器中，这样就可以修改了。一旦退出编辑器，程序会重新加载到SQL缓冲区，并可以再次运行。</p>
<p>现在，让我们进行演示，说明如何构建PL/SQL程序，并得到部分输出结果。</p>
<p>专家问答</p>
<p>问：怎样才能从PL/SQL程序得到反馈/输出？</p>
<p>答：Oracle为此提供名为DBMS_OUTPUT的内置包。Oracle提供了许多包，它们为用户提供额外的功能，比如将数据输出到屏幕。通过将DBMS_OUTPUT.PUT_LINE命令放置到程序，Oracle的PL/SQL可以提供信息给用户，如本章所举的例子所示。</p>
<p>要看到此信息，必须在执行PL/SQL例程之前，启用屏幕输出，这可通过在SQL&gt;提示符下输入SET SERVEROUTPUT ON来完成。</h4>
<h3>项目1 &nbsp;创建PL/SQL程序</h3>
<p><strong>这是你将创建的第一个PL/SQL程序。这个概念很简单，首先声明一些变量，并给变量赋&#20540;，然后使用SQL*Plus将数据输出到屏幕上。</strong></p>
<h4>步骤</h4>
<p>(1) 登录到SQL*Plus。</p>
<p>(2) 在SQL&gt;提示符下，输入SERVEROUTPUT命令：SET SERVEROUTPUT ON ;</p>
<p>(3) 输入下面的PL/SQL程序：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;Declare
L_start_date date;
Begin
L_start_date := &#039;29-SEP-2005&#039;;
dbms_output.putline (l_start_date); --show date
End;
/&lt;/span&gt;</pre>
<p>(4) 现在应该在屏幕上看到下面的输出：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;SQL&gt; /
29-SEP-05
PL/SQL procedure successfully completed.&lt;/span&gt;</pre>
<p>(5) 现在，你已经完成了第一个PL/SQL程序。</p>
<p>(6) 将时间添加到该程序中，并添加使用其他日期&#26684;式的行或执行一些日期加法运算。例如，你可能希望添加下面的代码，并查看提供的结果：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;L_start_date := to_date(&#039;14-JAN-2063&#039;, &#039;DD-MON-YYYY&#039;);
dbms_output.put_line(l_start_date);
L_start_date :=to_date(&#039;09-JUN-91:13:01&#039;, &#039;DD-MON-YY:HH24:MI&#039;);
dbms_output.put_line (l_start_date);&lt;/span&gt;</pre>
<p>接下来，我们需要讨论如何在PL/SQL程序中包含数据库中的数据。</p>
<h3>项目总结</h3>
<p><strong>本项目初步介绍如何构建PL/SQL程序。现在，我们已经了解了如何创建、运行程序，然后再重新运行，并查看输出结果。虽然这是一个简单的例子，但它展示了所有PL/SQL程序的基本情况。</strong></p>
<h3>1.1&nbsp; PL/SQL程序中的SQL</h3>
<p>到现在为止，你已经见到了很多结构。你应该知道，PL/SQL程序必须有BEGIN和END语句。可以有变量、循环或逻辑控制，但现在需要将数据库中真正的数据放入到程序中。PL/SQL的强大功能在于与SQL的紧密集成。你可能需要一些信息，以便可以创建报表、更新数据、创建新的数据、删除旧数据，或执行几乎你能想到的任何其他功能。对于你，了解怎么才能将数据集成到PL/SQL代码中是非常重要的。如果没有数据，PL/SQL只是PL。</p>
<h3>1.2 &nbsp;PL/SQL游标</h3>
<p>如何让数据进入程序？很简单——从数据库中提取(select)它们。这是在程序中使用SQL的最简单方法。因此，插入类&#20284;下面的行就能够访问数据库中的数据：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;select prod_name
into v_prod_name
from products&lt;/span&gt;</pre>
<p>让我们来解析这条语句，看看这对程序意味着什么。当查看这条select语句时，可以看到，它看起来非常类&#20284;于标准的select语句。然而，你应该也已经注意到语句中的“INTO”这个词。你可能想知道它是干什么用的。这就是使用select语句把&#20540;放到变量中的办法。</p>
<p>下面的例子演示了如何在PL/SQL程序中包含SQL语句：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;1 declare
2           v&#173;&#173;_prod_name varchar2(80);
3 begin
4                       select prod_name
5                       into v_prod_name
6                       from products
7                       where rownum = 1;
8           dbms_output.put_line(v_prod_name);
9* end;
10 /&lt;/span&gt;</pre>
<p>除了从数据库中选择一个&#20540;外，你还有能力选择多个&#20540;，并添加想要包含的条件。要做到这一点，请使用以下游标&#26684;式：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;select prod_name, prod_list_price, prod_min_price from products
where rownum &lt; 10&lt;/span&gt;</pre>
<p>在程序中，可以使用任何SQL语句。可以是select、insert、update或delete语句。所有这些语句都受到支持。当像在前面的例子中那样使用select语句时，它被称为隐式游标(<em>implicit cursor</em>)。隐式游标是包含在程序的可执行部分，并有into语句(在select语句的情况下)的SQL语句。使用隐式游标，Oracle会为你处理一切，但这样做有如下代价：程序的运行速度会变慢。你要明白自己在做什么，因为虽然可能不是执行select语句的最佳方式，但当想运行insert、update或delete语句时，必须使用隐式游标。所以，让我们继续往下看，看看有没有更好的办法来做同样的事情。我们将重新审视前面的例子，比较这两个办法。</p>
<p>更好的方法是创建显式游标。显式游标(<em>explicit cursor</em>)是在程序的DECLARE部分声明的select语句。这样做使得Oracle会在运行程序之前，为你准备SQL语句。</p>
<p>有时，你可能不知道要运行的确切SQL语句是什么。为了用更动态的解决方案帮助你，以允许在运行时定义SQL语句，PL/SQL在程序中同时支持动态和静态处理。动态SQL使你可以在运行时动态构建SQL语句，而静态SQL语句是预先知道的。可以通过使用动态SQL创建更通用灵活的应用程序，因为SQL语句的完整文本在编译时可能是未知的。</p>
<p>可以使用EXECUTEIMMEDIATE语句来处理大部分动态的SQL语句。动态SQL对于执行SQL语句特别有用。下面的示例演示如何使用动态SQL来使得程序更加灵活地应对变化：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;DECLARE
sql_stmt                                                            VARCHAR2(200); -- 保存SQL语句的变量
column_name                                                  VARCHAR2(30);           -- 用于列名的变量
dept_id                                                             NUMBER(4);
dept_name                                                       VARCHAR2(30);
mgr_id                                                                  NUMBER(6);
loc_id                                                                  NUMBER(4);
BEGIN&lt;/span&gt;</pre>
<p>-- 创建一条用EXECUTEIMMEDIATE执行的SQL语句(sql_stmt)</p>
<p>-- 该语句使用绑定变量INSERT(插入)一行到departments表</p>
<p>-- 请注意，引号‘...‘内没有分号(;)</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;sql_stmt := &#039;INSERT INTO departmentsVALUES (:dptid, :dptname,:mgrid, :locid)&#039;;
dept_id:= 46;
dept_name:= &#039;Special Projects&#039;;
mgr_id:= 200;
loc_id:= 1700;&lt;/span&gt;</pre>
<p>-- 使用在USING子句中的变量&#20540;作为绑定变量执行sql_stmt</p>
<p>EXECUTEIMMEDIATE sql_stmt USING dept_id, dept_name, mgr_id,loc_id;</p>
<p>-- 使用EXECUTEIMMEDIATE删除以前插入的行</p>
<p>-- 代替列名，并使用绑定变量</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;column_name:= &#039;DEPARTMENT_ID&#039;;
EXECUTEIMMEDIATE &#039;DELETE FROM departments WHERE &#039; || column_name ||
&#039; = :num&#039;
USINGdept_id;
END;&lt;/span&gt;</pre>
<p>在Oracle 12<em>c</em>中，可以用作绑定变量的类型已经被扩展：布尔变量和嵌套表现在都可以用作动态SQL中的绑定变量。最终，这进一步扩展了可以通过动态SQL支持的灵活性和功能。</p>
<p>这使得该程序能非常有效地利用内存。让我们来看看使用显式游标的程序是什么样子：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;1           declare
2                   v_prod_name varchar2(80);
3                   cursor get_data is
4                   selectprod_name
5                   from products;
6       begin
7                   open get_data;
8               fetch get_data into v_prod_name;
9                   dbms_output.put_line(v_prod_name);
10              close
11* end;&lt;/span&gt;</pre>
<p>在上面的代码中，我们将最初的例子转换为使用显式游标的程序。请注意，select语句现在包含在声明部分。另外，不再有into子句。这个功能被移到执行部分，被用在FETCH命令中。</p>
<p><strong>专家问答</strong></p>
<p><strong>问：为什么要在我们的select语句中包含rownum = 1？</strong></p>
<p>答：我们之所以在使用隐式游标时包含rownum = 1，是因为在这个特定的例子中，select语句将返回多行。这将导致终止本PL/SQL块处理的Oracle错误。为了避免这种情况发生，我们需要包含rownum =1条件。</p>
<p>还要注意的是，我们引入了三个新的PL/SQL命令：OPEN、FETCH和CLOSE。有了这三个简单的命令，就可以使用SQL游标从数据库中获取数据。OPEN命令告诉Oracle保留select语句将需要使用的内存。同时，FETCH命令从结果集的第一行提取数据，而CLOSE命令关闭刚才打开的游标，并将内存交还给Oracle用作其他用途。</p>
<p>注意：</p>
<p>当用游标完成工作时，要始终记得显式地关闭它们。如果不这样做，就可能遇到内存问题，或者可能得到不希望的结果。</p>
<h3>1.3&nbsp; 游标FOR循环</h3>
<p>可以通过将游标与循环组合来更好地感觉游标的威力。游标FOR循环是select游标与FOR循环(我们在会下一节更详细地介绍FOR循环)结合的结果。这使你可以从数据库中检索多行，如果结果集有多行的话。另外也简化了编程，你不必担心打开或关闭游标，Oracle处理循环中所有的事。让我们来看看游标FOR循环的一个例子。最重要的行已设置为粗体：</p>
<pre>&lt;span style=&quot;font-family:Microsoft YaHei;font-size:14px;&quot;&gt;SQL&gt; set serveroutput on
SQL&gt;    declare
2             v_prod_name varchar2(80);
3             cursorcur_get_data is
4             selectprod_name
5             fromproducts;
6             begin
7             for i in cur_get_data
8             LOOP
9                                             dbms_output.put_line(i.prod_name);
10             END LOOP;
11             end;
12 /
5MP Telephoto DigitalCamera
17&quot; LCDw/built-in HDTV Tuner
Envoy 256MB - 40GB
Y Box
Mini DV Camcorder with3.5&quot; Swivel LCD
Envoy Ambassador
Laptop carrying case
Home Theatre Package with DVD-Audio/Video Play ...&lt;/span&gt;</pre>
<p>注意：</p>
<p>要在FOR循环中引用列，使用循环变量的名称并将它与游标声明中定义的列名连接。因此，结果将是一个命名为cursor_name.fieldname的变量(在例子中，我们使用变量i.prod_name来引用列)。</p>
<p>在实践中，游标FOR循环是PL/SQL真正强大的地方。它使你能够在select语句的结果集中轻松移动，并成功执行你需要的逻辑和操作。</p>
<p>我们刚刚触及从PL/SQL获取信息的初步知识。你还需要熟悉调试PL/SQL程序，这可能是一项非常复杂的任务。经验告诉我们，对于发现的错误，永远不能掉以轻心或忽略。使用简单的工具，如DBMS_OUTPUT，就有办法跟踪程序的进展。</p>
<p><strong>注意：</strong></p>
<p><strong>Oracle提供了几个包来分析PL/SQL程序。第一个包是DBMS_PROFILER。这个包分析程序正在怎么运行，并且收集每一行的执行时间的统计信息。这可以帮助你发现运行速度很慢或低效的代码。当需要访问程序更高级的统计信息时，请花时间去研究这个包，以及如何将它集成到PL/SQL代码中。因为本书是初学者的指南，当需要某个重要特性的功能时，我们只引导你找到它。在Oracle<br />
 12<em>c</em>中，Oracle还推出了另一项功能——&nbsp;&nbsp;UTL_CALL_STACK。这个包提供了一个接口，用于让PL/SQL程序员获取有关当前正在执行的程序的信息，包括来自动态和词法栈的子程序名以及堆栈的深度。不同的函数返回给定动态深度的子程序名、单元名称、所有者名称、版本名称和行号。更多函数返回错误栈信息。这些信息可以被用来创建更准确的错误日志和应用程序的执行跟踪信息。</strong></p>
<p><strong>我们已经看到了如何编写和调试程序，现在可以编写更为复杂的程序了。</strong></p>
<p>《专业级Oracle Database 12c安装、配置与维护》试读电子书，免费提供，有需要的留下邮箱，一有空即发送给大家。 别忘啦顶哦！</p>
<p>购书地址：</p>
<p>京东：<a href="http://item.jd.com/11550019.html" rel="external nofollow noreferrer">http://item.jd.com/11550019.html</a></p>
<p>当当：<a href="http://product.dangdang.com/23572366.html" rel="external nofollow noreferrer">http://product.dangdang.com/23572366.html</a></p>
<p>微信：qinghuashuyou</p>
<p>更多最新图书请点击查看哦（即日起-12月31日：关注@qinghuashuyou 发送：关注技术方向，即有机会参与图书抽奖，每周抽取十个幸运读者）</p>
<p><img src="http://img.blog.csdn.net/20141124103007421?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvcWluZ2h1YXdlbmthbmc=/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/Center"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:10:14 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>《专业级Oracle Database 12c安装、配置与维护》之在SQL*Plus中编写PL/SQL的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV6vN2M.html" rel="bookmark">Oracle Database 12c安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle数据库 Oracle Database,又名Oracle RDBMS,或简称Oracle.是甲骨文公司的一款关系数据库管理系统.它是在数据库领域一直处于领先地位的产品.可以说Oracle数据库系统是目前世界上流行的关系数据库管理系统,系统可移植性好.使用方便.功能强,适用于各类大.中.小.微机环境.它是一种高效率.可靠性好的 适应高吞吐量的数据库解决方案. 系统简介 ORACLE数据库系统是美国ORACLE公司(甲骨文)提供的以分布式数据库为核心的一组软件产品,是目前最流行的客户/服			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgOJ18M.html" rel="bookmark">Quick and Easy Installation of Oracle Database 12c on Oracle Linux in Oracle VM VirtualBox</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				发贴人 Sergio-Oracle 于2018-4-18 23:10:15在Oracle Linux Introduction How Does This Work? Requirements Before You Get Started Steps Clone the vagrant-boxes repository from GitHub Download Oracle Database Installation Files Place the downloaded Database ins			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEonyQ3.html" rel="bookmark">Linux（ rhel-server-7&period;0-x86&lowbar;64）安装Oracle Database 12c Release 1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.官方下载安装包:http://www.oracle.com/technetwork/database/enterprise-edition/downloads/index.html linuxamd64_12102_database_1of2.zip linuxamd64_12102_database_1of2.zip 2.创建oracle用户和组 [[email protected]]# groupadd oinstall [[email protected]]# groupadd dba			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JzYBB4.html" rel="bookmark">Windows下安装Oracle Database 12c Release 1&lpar;12&period;1&period;0&period;2&period;0&rpar; - Enterprise Edition</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows下安装Oracle Database 12c Release 1(12.1.0.2.0) 最近因需要在Oracle 数据库上建立ODI的资料档案库,需要安装Oracle Database 12c Release 1(12.1.0.2.0) - Enterprise Edition . 软件下载 http://www.oracle.com/technetwork/database/enterprise-edition/downloads/index.html?ssSourceSite			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vpdOZM.html" rel="bookmark">Oracle Database 12c Release 2安装详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 Oracle Database 12c Release 2安装详解 1.1 下载方法 oracle官网https://www.oracle.com 1)打开官方网站,找到下载连接 2)选择更多下载. 3)选择数据库版本,这里选择的是目前的最新版本 4)接收许可协议,选在linux版本进行下载 5) 接收许可协议,点击linuxx64_12201_database.zip 6)登陆oracle账户,没有的可以自己创建一个 7)然后就能够进行下载 https://docs.oracle.co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/AMDZx83.html" rel="bookmark">Oracle Database 12c Release 1下载安装（自身经历）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.访问Oracle官网:https://www.oracle.com/index.html,下载Oracle Database 12c Release 1 (注意:File1和File2都要下载!!不然后期安装会报一堆错误,可参考:http://www.2cto.com/database/201503/386272.html) 2.将文件解压,把winx64_12102_database_2of2文件夹中database\stage\components目录下的所有文件夹,复制到winx64_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/yMXqZV0.html" rel="bookmark">Windows 7 64bit上安装Oracle Database 12c &lbrack;INS-30131&rsqb; 错误的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows 7 64bit上安装Oracle Database 12c,出现以下错误: 解决方法: 第一步:控制面板&gt;所有控制面板项&gt;管理工具&gt;服务&gt;SERVER  启动 第二步:控制面板&gt;所有控制面板项&gt;管理工具&gt;计算机管理&gt;系统工具&gt;共享文件夹&gt;共享   右键单击“共享”&gt;新建共享&gt; 点击“下一步”&gt;   单击“浏览”&gt; 选择&quot;本地磁盘(C:)&quot;&gt;确定   单击“下一步”:     单击“			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kwwZL0.html" rel="bookmark">转&colon; Windows下安装Oracle Database 12c Release 1&lpar;12&period;1&period;0&period;2&period;0&rpar; - Enterprise Edition</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.cnblogs.com/xqzt/p/4395053.html Windows下安装Oracle Database 12c Release 1(12.1.0.2.0) - Enterprise Edition			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qKmwPM.html" rel="bookmark">windows Sever 2012下Oracle 12c安装配置方法图文教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				windows Sever 2012下Oracle 12c安装配置方法图文教程 Oracle 12c安装配置方法图文教程,具体内容如下 1.我们开启虚拟机 2.Windows Sever 2012启动中. 3.看到Windows Sever 2012的桌面. 4.我们解压缩两个文件,winx64_12c_database_1of2.zip,winx64_12c_database_2of2.zip．也就是oracle的安装文件. 5.这个时候我们可以看到服务器启动以后的仪表板. 6.然后我们合并两			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0RLxY4.html" rel="bookmark" class="title">读的书记不住，那读书到底有什么用？</a>
					<div>
						20世纪初,在山东省平原县一家农户里,住着一位老人和小孙子.每天早上,老人都坐在厨房的桌边带着他的小娃娃,摇头晃脑地读着&lt;诗经&gt;.&lt;春秋&gt;.&lt;三国志&gt;等古籍,书声朗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dPkw0.html" rel="bookmark" class="title">多命令顺序执行，dd命令，管道&vert;，grep，通配符</a>
					<div>
						多命令顺序执行:命令1;命令2 命令之间没有逻辑关系 命令1&amp;&amp;命令2 命令1执行正确才执行命令2,命令1执行错误不会执行命令2 命令1||命令2 命令执行错误才执行命令2,命令1执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pAPVM.html" rel="bookmark" class="title">setAttribute&lpar;&rpar;</a>
					<div>
						●节点分为不同的类型:元素节点.属性节点和文本节点等. ●getElementById()方法将返回一个对象,该对象对应着文档里的一个特定的元素节点. ●getElementsByTagName()方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNNDB3.html" rel="bookmark" class="title">关于Android开发中的证书和密钥等问题</a>
					<div>
						引言 除了Android发布应用签名时需要用到证书外,在进行google Map Api开发和Facebook SDK API开发等时都需要申请API Key,在申请这些API Key的时候,也需要用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBGEY0.html" rel="bookmark" class="title">CentOS 6&period;5安装配置LNMP服务器（Nginx&plus;PHP&plus;MySQL）</a>
					<div>
						CentOS 6.5安装配置LNMP服务器(Nginx+PHP+MySQL) 一.准备篇: 1 /etc/init.d/iptables stop #关闭防火墙 2 关闭SELINUX 3 vi /e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VaR14.html" rel="bookmark" class="title">例题9-3 旅行 UVa1347</a>
					<div>
						1.题目描述:点击打开链接 2.解题思路:本题看似一道几何问题,实际上可以利用动态规划解决.走一圈周长最短可以等价为两个人同时从最左端出发,沿着不同的路径走到最右端.如果定义d(i,j)表示1~max ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVngD3.html" rel="bookmark" class="title">【Android】Android中Service类onStartCommand的返回值有关问题（转）</a>
					<div>
						@Override public int onStartCommand(Intent intent, int flags, int startId) { System.out.println(&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZV8183.html" rel="bookmark" class="title">用户组管理、用户管理</a>
					<div>
						用户组密码配置文件 增加一个组 grp1  查看最后一行 增加一个组 grp2 定义gid 为1005 普通组的 删掉组grp1 删除组user1 失败了,因为user1里面有用户,如果想删除一个组, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NlQy3.html" rel="bookmark" class="title">shell编程学习1</a>
					<div>
						1.shell是操作系统的终端命令行 (1)shell可以理解为软件系统提供给用户操作的命令行界面,可以说它是人机交互的一种方式.    (2)我们可以使用shell和操作系统.uboot等软件系统进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8P1W3.html" rel="bookmark" class="title">iOS中文API之NSLayoutconstraint</a>
					<div>
						AutoLayout为开发者提供了一种不同于传统对于UI元素位置指定的布局方法.以前,不论是在IB里拖放,还是在代码中写,每个UIView都会有自己的frame属性,来定义其在当前视图中的位置和尺寸. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5ar83.html" rel="bookmark" class="title">hdu  6019</a>
					<div>
						题意:MG是一个运气爆表的男孩子,他总能从地下挖掘出埋藏着的金克拉. 地下的金克拉宝藏可以看成n个元素组成的序列,每一种金克拉拥有自己的颜色C. MG每次可以用掉一把铲子挖走连续一段,但是他不愿意使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEPmZM.html" rel="bookmark" class="title">CI 框架隐藏index&period;php-ubuntu</a>
					<div>
						和朋友在做一个小网站,用到了CI框架,之前测试都是在windows上,隐藏index.php也相对比较简单.但服务器是ubuntu系统,需要配置一下,根据网上看到的一些教程,结合自己电脑的特点,记录步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBa7gg4.html" rel="bookmark" class="title">poj 1035KINA Is Not Abbreviation</a>
					<div>
						题目链接:http://poj.org/problem?id=4054 本题的题意是在下面那部分待检验的单词中找到与之相对应的正确的代词,包含几种情况,一是全部字母相同,二是有一个字母不相同,三是多一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rk9V14.html" rel="bookmark" class="title">WebView的基本使用</a>
					<div>
						1 概念性知识 01 webView是有缺点的,会导致内存泄露,而且这个问题是它系统本身的问题. 02 手机上面的safai其实就是用webView来实现的 03 现在的开发并不完全是原生的开发,而更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWNZe3.html" rel="bookmark" class="title">娜滦哑屏渴oa1041m503x0v6xs1mkx</a>
					<div>
						http://wx.233.com/share/2631972http://wx.233.com/share/2620061http://wx.233.com/share/2467373http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nY2BNM.html" rel="bookmark" class="title">解决激光推送手机运行时内存杀死进程依然能收到推送</a>
					<div>
						} if (ACTION_BOOT.equals(intent.getAction())||ACTION_NET_CHANGE.equals(intent.getAction())){ Intent  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqG6eM.html" rel="bookmark" class="title">Shell重写内置命令--cd</a>
					<div>
						场景介绍 windows下使用cygwin,使用apktool重打包apk: 方式一 cd D:cd path/to/apk/in/dapktool d name.apk 方式二 将文件拖进cygwi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NqAo4.html" rel="bookmark" class="title">C&plus;&plus;中嵌入Lua脚本环境搭建</a>
					<div>
						第一步(环境准备工作): 工具: ●LuaForWindows_v5.1.4-46.exe傻瓜式安装. 作用:此工具可以在windows环境下编译运行Lua脚本程序.安装完成后会有两个图标:Lua和S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9oYw0.html" rel="bookmark" class="title">jQuery学习目录</a>
					<div>
						前面的话 目前来说,jQuery可能已经不再处于人们的话题中心.人们讨论的更多的是Vue.Angular和React.但是,jQuery的使用量依然广泛,据统计,它仍然是目前使用率最高的javascr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49v2oXM.html" rel="bookmark" class="title">ubuntu安装配置elasticSearch</a>
					<div>
						##markdown在ubuntu安装配置### ####安装jdk#### &gt; sudo apt-get install python-software-properties sudo add ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
